# Contributing Guidelines

## How to contribute

If you would like to contribute to this project, see [Contributions to Splunk][indivcontrib] for more information.

## Issues & Bug Reports

If you're seeing some unexpected behavior with this project, please create an [issue on GitHub][issues] with the following information:

1. Version of this project you're using (ex: 0.8.0)
1. Platform version (ex: Windows Server 2012)
1. Framework version (ex: Node.js 0.10.37)
1. Splunk version (ex: 6.3.0)
1. Other relevant information (ex: local/remote environment, Splunk network configuration)

Alternatively, if you have a Splunk question please ask on [Splunk Answers][answers]

## Pull requests

We love to see pull requests!

To create a pull request:

1. Fill out the [Individual Contributor Agreement][indivcontrib].
1. Fork [the repository][repo].
1. Make changes to the **`develop`** branch, preferably with tests.
1. Create a [pull request][pulls] against the **`develop`** branch.

## Contact us

You can [contact support][contact] if you have Splunk related questions.

You can reach the Developer Platform team at _devinfo@splunk.com_.

[contributions]:            http://dev.splunk.com/view/opensource/SP-CAAAEDM
[indivcontrib]:             http://dev.splunk.com/goto/individualcontributions
[companycontrib]:           http://dev.splunk.com/view/companycontributions/SP-CAAAEDR
[answers]:                  http://answers.splunk.com/
[repo]:                     https://github.com/splunk/splunk-logging-javascript
[issues]:                   https://github.com/splunk/splunk-logging-javascript/issues
[pulls]:                    https://github.com/splunk/splunk-logging-javascript/pulls
[contact]:                  https://www.splunk.com/en_us/support-and-services.html
